Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusDictionary

java.lang.Object
ru.bitel.bgbilling.kernel.network.tlv.TlvDictionary<RadiusAttributeInfo<?>,RadiusAttribute<?>>
ru.bitel.bgbilling.kernel.network.radius.RadiusDictionary

public class RadiusDictionary extends TlvDictionary<RadiusAttributeInfo<?>,RadiusAttribute<?>>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `Acct_Authentic`
  `static final int`
  `Acct_Delay_Time`
  `static final int`
  `Acct_Input_Gigawords`
  `static final int`
  `Acct_Input_Octets`
  `static final int`
  `Acct_Input_Packets`
  `static final int`
  `Acct_Output_Gigawords`
  `static final int`
  `Acct_Output_Octets`
  `static final int`
  `Acct_Output_Packets`
  `static final int`
  `Acct_Session_Id`
  `static final int`
  `Acct_Session_Time`
  `static final int`
  `Acct_Status_Type`
  This attribute indicates whether this Accounting-Request marks the beginning of the user service (Start) or the end (Stop).
  Value
  The Value field is four octets.
  1 Start
  2 Stop
  3 Interim-Update
  7 Accounting-On
  8 Accounting-Off
  9-14 Reserved for Tunnel Accounting
  15 Reserved for Failed
  `static final int`
  `Acct_Terminate_Cause`
  `static final int`
  `Callback_Id`
  `static final int`
  `Callback_Number`
  `static final int`
  `Called_Station_Id`
  `static final int`
  `Calling_Station_Id`
  `static final int`
  `CHAP_Challenge`
  `static final int`
  `CHAP_Password`
  `static final int`
  `Class`
  `static final int`
  `Delegated_IPv6_Prefix`
  `static final int`
  `Digest_AKA_Auts`
  `static final int`
  `Digest_Algorithm`
  `static final int`
  `Digest_Auth_Param`
  `static final int`
  `Digest_CNonce`
  `static final int`
  `Digest_Domain`
  `static final int`
  `Digest_Entity_Body_Hash`
  `static final int`
  `Digest_HA1`
  `static final int`
  `Digest_Method`
  `static final int`
  `Digest_Nextnonce`
  `static final int`
  `Digest_Nonce`
  `static final int`
  `Digest_Nonce_Count`
  `static final int`
  `Digest_Opaque`
  `static final int`
  `Digest_Qop`
  `static final int`
  `Digest_Realm`
  `static final int`
  `Digest_Response`
  `static final int`
  `Digest_Response_Auth`
  `static final int`
  `Digest_Stale`
  `static final int`
  `Digest_URI`
  `static final int`
  `Digest_Username`
  `static final int`
  `Draft_Digest_Attributes`
  `static final int`
  `Draft_Digest_Response`
  `static final int`
  `EAP_Message`
  `static final int`
  `Filter_Id`
  `static final int`
  `Framed_Compression`
  `static final int`
  `Framed_Interface_Id`
  `static final int`
  `Framed_IP_Address`
  `static final int`
  `Framed_IP_Netmask`
  `static final int`
  `Framed_IPv6_Prefix`
  This Attribute indicates an IPv6 prefix (and corresponding route) to be configured for the user.
  `static final int`
  `Framed_IPv6_Route`
  The Text field is one or more octets, and its contents are implementation dependent.
  `static final int`
  `Framed_MTU`
  `static final int`
  `Framed_Pool`
  `static final int`
  `Framed_Protocol`
  `static final int`
  `Framed_Route`
  `static final int`
  `Framed_Routing`
  `static final int`
  `Login_IP_Host`
  `static final int`
  `Login_Service`
  `static final int`
  `Login_TCP_Port`
  `static final int`
  `Message_Authenticator`
  `static final int`
  `NAS_Identifier`
  `static final int`
  `NAS_IP_Address`
  `static final int`
  `NAS_IPv6_Address`
  `static final int`
  `NAS_Port`
  `static final int`
  `NAS_Port_Id`
  `static final int`
  `Proxy_State`
  `static final int`
  `Reply_Message`
  `static final int`
  `Service_Type`
  `static final int`
  `SIP_AOR`
  `static final int`
  `State`
  `static final int`
  `User_Name`
  `static final int`
  `User_Password`
  `static final int`
  `Vendor_Specific`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadiusDictionary(RadiusAttributeInfo<?> root)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `checkAttribute(int vendorCode, int type, int valueType)`
  `static RadiusAttributeInfo<?>`
  `findAttributeInfo(String name)`
  `static <V> RadiusAttributeInfo<V>`
  `getAttributeInfo(int vendor, int type)`
  `static RadiusAttribute<?>`
  `newRadiusAttribute(String name, String value)`
  `static RadiusAttribute<?>`
  `parse(ByteBuffer bb)`
  Deprecated.
  use `parse(ByteBuffer, List)`
  `static void`
  `parse(ByteBuffer bb, List<RadiusAttribute<?>> result)`
  `static RadiusAttribute<?>`
  `parse(RadiusAttributeInfo.RadiusAttributeHeader header, ByteBuffer bb)`
  `static RadiusAttributeSet`
  `parseAttributes(ByteBuffer bb)`
  `static boolean`
  `parseAttributes(ByteBuffer bb, int packetLength, Map<Integer,List<RadiusAttribute<?>>> standartAttributes, Map<Integer,Map<Integer,List<RadiusAttribute<?>>>> vendorAttributes)`
  `static void`
  `reload()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### User_Name

    public static final int User_Name
    See Also:
      - Constant Field Values

  - ### User_Password

    public static final int User_Password
    See Also:
      - Constant Field Values

  - ### CHAP_Password

    public static final int CHAP_Password
    See Also:
      - Constant Field Values

  - ### NAS_IP_Address

    public static final int NAS_IP_Address
    See Also:
      - Constant Field Values

  - ### NAS_Port

    public static final int NAS_Port
    See Also:
      - Constant Field Values

  - ### Service_Type

    public static final int Service_Type
    See Also:
      - Constant Field Values

  - ### Framed_Protocol

    public static final int Framed_Protocol
    See Also:
      - Constant Field Values

  - ### Framed_IP_Address

    public static final int Framed_IP_Address
    See Also:
      - Constant Field Values

  - ### Framed_IP_Netmask

    public static final int Framed_IP_Netmask
    See Also:
      - Constant Field Values

  - ### Framed_Routing

    public static final int Framed_Routing
    See Also:
      - Constant Field Values

  - ### Filter_Id

    public static final int Filter_Id
    See Also:
      - Constant Field Values

  - ### Framed_MTU

    public static final int Framed_MTU
    See Also:
      - Constant Field Values

  - ### Framed_Compression

    public static final int Framed_Compression
    See Also:
      - Constant Field Values

  - ### Login_IP_Host

    public static final int Login_IP_Host
    See Also:
      - Constant Field Values

  - ### Login_Service

    public static final int Login_Service
    See Also:
      - Constant Field Values

  - ### Login_TCP_Port

    public static final int Login_TCP_Port
    See Also:
      - Constant Field Values

  - ### Reply_Message

    public static final int Reply_Message
    See Also:
      - Constant Field Values

  - ### Callback_Number

    public static final int Callback_Number
    See Also:
      - Constant Field Values

  - ### Callback_Id

    public static final int Callback_Id
    See Also:
      - Constant Field Values

  - ### Framed_Route

    public static final int Framed_Route
    See Also:
      - Constant Field Values

  - ### State

    public static final int State
    See Also:
      - Constant Field Values

  - ### Class

    public static final int Class
    See Also:
      - Constant Field Values

  - ### Vendor_Specific

    public static final int Vendor_Specific
    See Also:
      - Constant Field Values

  - ### Called_Station_Id

    public static final int Called_Station_Id
    See Also:
      - Constant Field Values

  - ### Calling_Station_Id

    public static final int Calling_Station_Id
    See Also:
      - Constant Field Values

  - ### NAS_Identifier

    public static final int NAS_Identifier
    See Also:
      - Constant Field Values

  - ### Proxy_State

    public static final int Proxy_State
    See Also:
      - Constant Field Values

  - ### NAS_Port_Id

    public static final int NAS_Port_Id
    See Also:
      - Constant Field Values

  - ### Acct_Status_Type

    public static final int Acct_Status_Type
    This attribute indicates whether this Accounting-Request marks the beginning of the user service (Start) or the end (Stop).
    Value
    The Value field is four octets.
    1 Start
    2 Stop
    3 Interim-Update
    7 Accounting-On
    8 Accounting-Off
    9-14 Reserved for Tunnel Accounting
    15 Reserved for Failed
    See Also:
      - Constant Field Values

  - ### Acct_Delay_Time

    public static final int Acct_Delay_Time
    See Also:
      - Constant Field Values

  - ### Acct_Input_Octets

    public static final int Acct_Input_Octets
    See Also:
      - Constant Field Values

  - ### Acct_Output_Octets

    public static final int Acct_Output_Octets
    See Also:
      - Constant Field Values

  - ### Acct_Session_Id

    public static final int Acct_Session_Id
    See Also:
      - Constant Field Values

  - ### Acct_Authentic

    public static final int Acct_Authentic
    See Also:
      - Constant Field Values

  - ### Acct_Session_Time

    public static final int Acct_Session_Time
    See Also:
      - Constant Field Values

  - ### Acct_Input_Packets

    public static final int Acct_Input_Packets
    See Also:
      - Constant Field Values

  - ### Acct_Output_Packets

    public static final int Acct_Output_Packets
    See Also:
      - Constant Field Values

  - ### Acct_Terminate_Cause

    public static final int Acct_Terminate_Cause
    See Also:
      - Constant Field Values

  - ### Acct_Input_Gigawords

    public static final int Acct_Input_Gigawords
    See Also:
      - Constant Field Values

  - ### Acct_Output_Gigawords

    public static final int Acct_Output_Gigawords
    See Also:
      - Constant Field Values

  - ### CHAP_Challenge

    public static final int CHAP_Challenge
    See Also:
      - Constant Field Values

  - ### EAP_Message

    public static final int EAP_Message
    See Also:
      - Constant Field Values

  - ### Message_Authenticator

    public static final int Message_Authenticator
    See Also:
      - Constant Field Values

  - ### Framed_Pool

    public static final int Framed_Pool
    See Also:
      - Constant Field Values

  - ### NAS_IPv6_Address

    public static final int NAS_IPv6_Address
    See Also:
      - Constant Field Values

  - ### Framed_Interface_Id

    public static final int Framed_Interface_Id
    See Also:
      - Constant Field Values

  - ### Framed_IPv6_Prefix

    public static final int Framed_IPv6_Prefix

              This Attribute indicates an IPv6 prefix (and corresponding route)
              to be configured for the user.  It MAY be used in Access-Accept
              packets, and can appear multiple times.  It MAY be used in an
              Access-Request packet as a hint by the NAS to the server that it
              would prefer these prefix(es), but the server is not required to
              honor the hint.  Since it is assumed that the NAS will plumb a
              route corresponding to the prefix, it is not necessary for the
              server to also send a Framed-IPv6-Route attribute for the same
              prefix.

              The Prefix field is up to 16 octets in length.  Bits outside of
              the Prefix-Length, if included, must be zero.

    See Also:
      - Constant Field Values

  - ### Framed_IPv6_Route

    public static final int Framed_IPv6_Route

              The Text field is one or more octets, and its contents are
              implementation dependent.  The field is not NUL (hex 00)
              terminated.  It is intended to be human readable and MUST NOT
              affect operation of the protocol.

              For IPv6 routes, it SHOULD contain a destination prefix optionally
              followed by a slash and a decimal length specifier stating how
              many high order bits of the prefix to use.  That is followed by a
              space, a gateway address, a space, and one or more metrics
              (encoded in decimal) separated by spaces.  Prefixes and addresses
              are formatted as described in [16].  For example,
              "2000:0:0:106::/64 2000::106:a00:20ff:fe99:a998 1".

    See Also:
      - Constant Field Values

  - ### Delegated_IPv6_Prefix

    public static final int Delegated_IPv6_Prefix
    See Also:
      - Constant Field Values

  - ### Draft_Digest_Response

    public static final int Draft_Digest_Response
    See Also:
      - Constant Field Values

  - ### Draft_Digest_Attributes

    public static final int Draft_Digest_Attributes
    See Also:
      - Constant Field Values

  - ### Digest_Response

    public static final int Digest_Response
    See Also:
      - Constant Field Values

  - ### Digest_Realm

    public static final int Digest_Realm
    See Also:
      - Constant Field Values

  - ### Digest_Nonce

    public static final int Digest_Nonce
    See Also:
      - Constant Field Values

  - ### Digest_Response_Auth

    public static final int Digest_Response_Auth
    See Also:
      - Constant Field Values

  - ### Digest_Nextnonce

    public static final int Digest_Nextnonce
    See Also:
      - Constant Field Values

  - ### Digest_Method

    public static final int Digest_Method
    See Also:
      - Constant Field Values

  - ### Digest_URI

    public static final int Digest_URI
    See Also:
      - Constant Field Values

  - ### Digest_Qop

    public static final int Digest_Qop
    See Also:
      - Constant Field Values

  - ### Digest_Algorithm

    public static final int Digest_Algorithm
    See Also:
      - Constant Field Values

  - ### Digest_Entity_Body_Hash

    public static final int Digest_Entity_Body_Hash
    See Also:
      - Constant Field Values

  - ### Digest_CNonce

    public static final int Digest_CNonce
    See Also:
      - Constant Field Values

  - ### Digest_Nonce_Count

    public static final int Digest_Nonce_Count
    See Also:
      - Constant Field Values

  - ### Digest_Username

    public static final int Digest_Username
    See Also:
      - Constant Field Values

  - ### Digest_Opaque

    public static final int Digest_Opaque
    See Also:
      - Constant Field Values

  - ### Digest_Auth_Param

    public static final int Digest_Auth_Param
    See Also:
      - Constant Field Values

  - ### Digest_AKA_Auts

    public static final int Digest_AKA_Auts
    See Also:
      - Constant Field Values

  - ### Digest_Domain

    public static final int Digest_Domain
    See Also:
      - Constant Field Values

  - ### Digest_Stale

    public static final int Digest_Stale
    See Also:
      - Constant Field Values

  - ### Digest_HA1

    public static final int Digest_HA1
    See Also:
      - Constant Field Values

  - ### SIP_AOR

    public static final int SIP_AOR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RadiusDictionary

    public RadiusDictionary(RadiusAttributeInfo<?> root)

- ## Method Details

  - ### reload

    public static void reload()

  - ### findAttributeInfo

    public static RadiusAttributeInfo<?> findAttributeInfo(String name)

  - ### newRadiusAttribute

    public static RadiusAttribute<?> newRadiusAttribute(String name, String value)

  - ### parse

    @Deprecated public static RadiusAttribute<?> parse(ByteBuffer bb)
    Deprecated.
    use `parse(ByteBuffer, List)`
    Parameters:
      `bb` -
    Returns:

  - ### parse

    public static void parse(ByteBuffer bb, List<RadiusAttribute<?>> result)

  - ### parse

    public static RadiusAttribute<?> parse(RadiusAttributeInfo.RadiusAttributeHeader header, ByteBuffer bb)

  - ### parseAttributes

    public static boolean parseAttributes(ByteBuffer bb, int packetLength, Map<Integer,List<RadiusAttribute<?>>> standartAttributes, Map<Integer,Map<Integer,List<RadiusAttribute<?>>>> vendorAttributes)

  - ### parseAttributes

    public static RadiusAttributeSet parseAttributes(ByteBuffer bb)

  - ### getAttributeInfo

    public static <V> RadiusAttributeInfo<V> getAttributeInfo(int vendor, int type)

  - ### checkAttribute

    public static boolean checkAttribute(int vendorCode, int type, int valueType)